import tkinter as tk
import tkinter.filedialog as fd
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

def askinfilename(msg = None, types = [('', '*.*')]):
    """
            入力用ファイル名の設定
    """
    rt = tk.Tk()
    rt.withdraw()
    flnm = fd.askopenfilename(title = msg, filetypes = types)
    rt.destroy()
    return flnm

def askoutfilename(msg = None, types = [('', '*.*')], deftype = '.txt'):
    """
            出力用ファイル名の設定
    """
    rt = tk.Tk()
    rt.withdraw()
    flnm = fd.asksaveasfilename(title = msg, filetypes = types,
                                           defaultextension = deftype)
    rt.destroy()
    return flnm

finnm = askinfilename('入力データExcelファイル', types = [('Excel(*.xlsx)', '*.xlsx')])
foutnm = askoutfilename(msg = '画像保存ファイル', types = [('画像 (*.png)', '*.png')],
                       deftype = '.png')

xlsx_fl = pd.ExcelFile(finnm)
data_xlsx = pd.read_excel(xlsx_fl,  header = None)
data = data_xlsx.values

x_name = data[0, 1]
y_name = data[0, 2]
caseLabels = data[1:, 0]
x_values = data[1:, 1]
y_values = data[1:, 2]
print('Labels')
print(caseLabels)
print(x_name)
print(x_values)
print(y_name)
print(y_values)

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP', 'Hiragino Maru Gothic Pro']

plt.figure(figsize = (10, 8)) 
plt.xlabel(x_name, fontsize = 16)
plt.ylabel(y_name, fontsize = 16)
#
#       点のプロット
#
plt.plot(x_values, y_values, 'bo', alpha = 0.6)
#
#       名前のプロット
#
for v_c, v_x, v_y in zip(caseLabels, x_values, y_values):
    plt.text(v_x + 0.1, v_y + 0.1, v_c, color = 'b', fontsize = 12)
plt.savefig(foutnm)
plt.show()

